Create New Records

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.zerionsoftware.com/doc/iformbuilder-v60/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "iFormBuilder V60 MCP server": {
    "url": "https://apidocs.zerionsoftware.com/doc/iformbuilder-v60/mcp"
  }
}

Close
POST /profiles/{profile_id}/pages/{page_id}/records

Headers

  • Authorization string

    e.g. Bearer {access_token}

Path parameters

  • profile_id string Required

    id of the profile

  • page_id number Required

    id of the page

application/json

Body

  • parent_record_id number
  • parent_page_id number
  • parent_element_id number
  • fields array

    an array that contains record fields

  • fields.element_name: `inspector_name` string

    must have either element_name or element_id set

  • fields.element_id string
  • fields.value string Required
  • fields.extension string

    file extension, if applicable

  • fields.encoding string

    must match "base64", "url"

  • device_id string
  • javascript_state string

Responses

  • 201 application/json

    Created

    Hide response attribute Show response attribute object
    • id number Required

      the created record id

POST /profiles/{profile_id}/pages/{page_id}/records
curl \
 --request POST 'https://servername.iformbuilder.com/exzact/api/v60/profiles/self/pages/{page_id}/records' \
 --header "Content-Type: application/json" \
 --header "Authorization: Bearer {access_token}" \
 --data '{
  "fields": [
    {
      "element_name": "inspection_date",
      "value": "2015-05-12T14:38:19+00:00"
    },
    {
      "element_name": "photo_of_front_of_building",
      "extension": "jpg",
      "encoding": "url",
      "value": "https://onlinejpgtools.com/images/examples-onlinejpgtools/sunflower.jpg"
    }
  ]
}'
Request examples
{
  "fields": [
    {
      "element_name": "inspection_date",
      "value": "2015-05-12T14:38:19+00:00"
    },
    {
      "element_name": "photo_of_front_of_building",
      "extension": "jpg",
      "encoding": "url",
      "value": "https://onlinejpgtools.com/images/examples-onlinejpgtools/sunflower.jpg"
    }
  ]
}
[
  {
    "fields": [
      {
        "element_name": "inspection_date",
        "value": "2015-05-14T16:13:46+00:00"
      },
      {
        "element_name": "photo_of_front_of_building",
        "extension": "jpg",
        "encoding": "url",
        "value": "https://onlinejpgtools.com/images/examples-onlinejpgtools/sunflower.jpg"
      }
    ]
  },
  {
    "fields": [
      {
        "element_name": "inspection_date",
        "value": "2015-06-02T14:22:12+00:00"
      },
      {
        "element_name": "photo_of_front_of_building",
        "extension": "jpg",
        "encoding": "url",
        "value": "https://onlinejpgtools.com/images/examples-onlinejpgtools/sunflower.jpg"
      }
    ]
  }
]
Response examples (201)
{
  "id": 1
}
[
  {
    "id": 4
  },
  {
    "id": 7
  }
]